> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve detailed information about a specific session.

# Get session

<Note>
  This feature is in beta and only available to select customers today, reach
  out to [support@ionq.com](mailto:support@ionq.com) to request enabling it on
  your organization.

  Note: Beta features are subject to change as we gather
  feedback. Please report any bugs or send feedback to
  [support@ionq.com](mailto:support@ionq.com) or feel free to drop a report in
  the [Community
  Slack](https://join.slack.com/t/ionqcommunity/shared_invite/zt-2ohj4fkvb-ErVKebhkwaP7S~lt2Gq0_w).
</Note>


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /sessions/{session_id}
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /sessions/{session_id}:
    get:
      operationId: GetSession
      parameters:
        - description: >-
            The id of the session — this id is provided in the response on
            session creation.
          in: path
          name: session_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved a session.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Session'
      security:
        - apiKeyAuth: []
components:
  schemas:
    Session:
      properties:
        id:
          type: string
          description: The id of the session.
        created_at:
          type: string
          format: date-time
        organization_id:
          type: string
        backend:
          type: string
          nullable: true
        project_id:
          type: string
          nullable: true
        creator_id:
          type: string
          nullable: true
        ended_at:
          type: string
          format: date-time
          nullable: true
        ender_id:
          type: string
          nullable: true
        settings:
          $ref: '#/components/schemas/SessionSettings'
        active:
          type: boolean
        status:
          $ref: '#/components/schemas/SessionStatusEnum'
        started_at:
          type: string
          format: date-time
          nullable: true
      required:
        - id
        - created_at
        - organization_id
        - backend
        - project_id
        - creator_id
        - ended_at
        - ender_id
        - active
        - status
        - started_at
      type: object
      additionalProperties: false
    SessionSettings:
      properties:
        job_count_limit:
          type: integer
          format: int32
        duration_limit_min:
          type: integer
          format: int32
        cost_limit:
          $ref: '#/components/schemas/SessionCostLimit'
        expires_at:
          type: string
          format: date-time
      type: object
      additionalProperties: false
    SessionStatusEnum:
      enum:
        - created
        - started
        - ended
      type: string
    SessionCostLimit:
      properties:
        unit:
          type: string
        value:
          type: number
          format: double
      required:
        - unit
        - value
      type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      description: >-
        API keys are associated with a user and can be created on the [IonQ
        Quantum Cloud](https://cloud.ionq.com) application. To authenticate,
        prefix your API Key with `apiKey ` and place it in the `Authorization`
        request header. Ex: `Authorization: apiKey your-api-key`
      in: header
      name: Authorization
      type: apiKey

````